PluginResolutionException
Skip to end of metadata
Go to start of metadata

This error occurs when you employ a plugin that Maven could not download. Possible causes for this error are:

  1. You are referring to a non-existing plugin, e.g. by means of a typo in its group id, artifact id or version.
  2. You are using a third-party Maven plugin that is not deployed to the central Maven repository and your POM/settings is missing the required <pluginRepository> to download the plugin. Note that <repository> declarations are not considered when looking for the plugin and its dependencies, only <pluginRepositories> are searched for plugins.
  3. The plugin repository you have configured requires authentication and Maven failed to provide the correct credentials to the server. In this case, make sure your ${user.home}/.m2/settings.xml contains a <server> declaration whose <id> matches the <id> of the plugin repository to use. See the Maven Settings Reference for more details.
  4. There is a general network problem that prevents Maven from accessing any remote repository, e.g. a missing proxy configuration.
  5. Maven failed to save the files to your local repository, see LocalRepositoryNotAccessibleException for more details.
  6. The plugin repository you have configured is disabled for the specific version of the plugin you requested. For instance, if you want to use a SNAPSHOT version of a plugin, make sure you don't have <snapshots><enabled>false</enabled></snapshots> configured. Likewise, in order to resolve a released version of the plugin, the plugin repository should not be configured with <releases><enabled>false</enabled></releases>. See the POM Reference for more information on repository configuration.

In those cases, check your POM and/or settings for the proper contents. If you configured the plugin repository in a profile of your settings.xml, also verify that this profile gets actually activated, e.g. via invoking mvn help:active-profiles.

In case of a general network-related problem, you could also consult the following articles:

Note: For performance reasons, Maven caches the information that the plugin could not be downloaded. Depending on your setup, you might need to clear this cache by adding the flag -U to the command line for your corrections to take effect.

Labels
  • No labels
  1. If the artifact is either found or not found, a file is written to your ~/.m2/repository of the format myfavoritetool-plugin-2.0.4.maven-plugin.lastUpdated that keeps track of the fact that a remote repo was asked for this artifact.

    Once this file is written, remote sites are NOT checked again for updates. To force a check of remote sites for updates to releases OR snapshots of traditional artifacts AND plugin artifacts, issue the -U flag to Maven. This is, in long form, called --update-snapshots, but truly updates both releases and snapshots. I'm submitting a patch to remove mention of --update-snapshots from the mvn -h help output. This patch was submitted as http://jira.codehaus.org/browse/MNG-4537

  2. In my company, we have a automotatic proxy configuaration script and there is no proxy host/ip configuaration. in this case how do I setup the proxy configuation in settings.xml?

    Quick help is always appreciated.

    Amit

  3. Hi

    i have created a custom project using below maven command

    mvn org.apache.maven.plugins:maven-archetype-plugin:2.0-alpha-4:generate -DarchetypeGroupId=org.apache.portals.jetspeed-2 -DarchetypeArtifactId=jetspeed-archetype -DarchetypeVersion=2.2.2 -DartifactId=attbat -Dpackage=org.aricent.attbat -DgroupId=org.aricent.attbat -Dversion=1.0.0

    but when trying to compile my custom jetspeed 2.2.2 project and facing problem each time.

    here is the log what i am getting.

    snipped by administrator due to page size

  4. I am using maven 3.0.4 on my local machine and while running mvn jetty:run, I am facing this error, please provide with some solution:-

    snipped by administrator due to page size

    1. Please do not use the comments on this page to request help - subscribe & post your question to users@maven.apache.org. Thanks!